---
layout: fr
title: MoneroKon 2023 CCS-1
author: ajs-xmr
date: November 27, 2022
amount:
milestones:
  - name: Neuchatel
    funds: 383.31
    done:
    status: unfinished
  - name: Prague
    funds: 553.67
    done:
    status: unfinished
payouts:
  - date:
    amount:
  - date:
    amount:
---

# Table of Contents
- [Who?](#who)
- [What?](#what)
- [Costs](#costs)
- [Bursary](#bursary)
- [Amount](#amount)
- [CCS Disbursement](#ccs-disbursement)
- [CCS-2 Contingency Funding](#ccs-2-contingency-funding)
- [Donor Benefits](#ccs-donor-benefits)
- [Exchange Rate](#exchange-rate)

## Who

I am ajs-xmr, co-author of [the scripts]( https://github.com/monero-ecosystem/promo-video) for the [Monero explainer videos]( https://www.youtube.com/channel/UCnjUpT9gGxyQ_lud7uKoTCg), cam operator and editor of [Monero Means Money: Cryptocurrency 101, Live from Leipzig]( https://www.youtube.com/watch?v=8quGD9W7B2I) – [America’s #1 box office hit in April 2020](https://ia902907.us.archive.org/5/items/monero-means-money-press-release_20200421/Monero%20Means%20Money%20Press%20Release.pdf), and was part of the organization team for the [Monero Village at DefCon27](https://www.youtube.com/watch?v=g8PBOVDWO6Y), [CDC/36C3](https://www.youtube.com/playlist?list=PLsSYUeVwrHBn07zTBg7fGHRW5Kn_Z3FJL), and [MoneroKon 2022](https://www.youtube.com/watch?v=r_vH-NyOYAg&list=PLsSYUeVwrHBndRQoQ-vLezzlHPLRDNzaw). I am also the maintainer of [XMRradio.i2p](https://xmr.radio) and have contributed to the [Monero Policy Working Group](https://github.com/monero-policy). I will be the principal showrunner of the event, responsible for pushing things forward.

Digital Renegades ApS (“DR”), a limited liability company we are using to contract with the venue, suppliers, and traditional payment processors. It also provides a part-time executive assistant to help the organization team with administrative tasks. DR does not cost or charge anything, all company contributions and liabilities to support MoneroKon being effectively a donation to the Monero community. It is incorporated in Denmark and a director of which is a member of the Monero core team.

## What

Monero Konferenco (“MoneroKon”) is an annual meeting of privacy advocates, cypherpunks, scientists, and philosophers and is designed to disseminate scientific and technical results in privacy and financial technologies like censorship-resistant digital cash. It was first held in [Denver, Colorado]( https://www.youtube.com/playlist?list=PLsSYUeVwrHBkJHJg_l2uDgbicDJ1PmAVW) in 2019 and after a hiatus due to COVID-19, the event was rebooted in [Lisbon, Portugal]( https://www.youtube.com/playlist?list=PLsSYUeVwrHBndRQoQ-vLezzlHPLRDNzaw) this past summer. The [2019 event had 73 attendees and 27 speakers]( https://github.com/b-g-goodell/mrl-skunkworks-mirror/blob/master/Konferenco/2019/postmorto.md#1-budget-actuals) and in 2022, there were a total of 160 attendees and 40 speakers, having [sold out in less than 6 weeks]( https://nitter.net/MoneroKon/status/1528247373398515712).

In a [MoneroKon 2023 Planning Meeting that was held on November 12th 2022](https://monero.observer/assets/logs/221112-monerokon23.log), meeting participants unanimously agreed to try to hold the event again next summer at [La Fabrika](https://www.lafabrika.cz/en/lafabrika) in Prague, Czech Republic on 23rd-25th June 2023. Photos, and other details about the venue, merch, A/V set up, and preliminary schedule can be found [here](https://github.com/MoneroKon/meta/blob/main/monerokon2023-plan-a.md). 

If the target funding goal is not met in 90 days from the date this proposal is merged, we would fall back to holding the event at [University of Neuchâtel](https://www.unine.ch/batiments/home/prestations/location-de-laula-des-jeunes-riv.html) in Switzerland on 30th June - 2nd July 2023. Details for the Neuchâtel option can be found [here](https://github.com/MoneroKon/meta/blob/main/monerokon2023-plan-b.md). However, if the raised funds are not enough to cover the expenses of Neuchâtel, the funds would roll over to the budget of MoneroKon 2024.

The aim is to have at least the same number of participants as in Lisbon (200) with the capability to scale up to 400 attendees, around 30 speakers, and a number of workshops.

**La Fabrika, Studio 1 - Talks (Main Stage)**
![](https://repo.getmonero.org/ajs/meta/-/raw/main/pics/room1-1.jpeg)

**La Fabrika, Studio 2- Workshops/Chill Area/Sponsor Area**
![](https://repo.getmonero.org/ajs/meta/-/raw/main/pics/studio2.jpeg)

## Costs

Please note that this is a **not-for-profit event** and the aim is to keep ticket prices as accessible for the public as financially possible, while keeping production quality high.

The total cost of the event is estimated to be approximately 168,000€. To take into account uncertainties (_e.g._ the number of ticket, merch sales, sponsors, requests for bursaries), the CCS will be divided into 2 parts. In CCS-1, we are be seeking 553.67 XMR, which represents around 35-41% of the cost, assuming we reach the target ticket sales range (200-400) and the number of sponsors (15). We included a 15% contingency fund for emergencies or unexpected expenses. The budget for Prague can be found [here]( https://cryptpad.disroot.org/sheet/#/2/sheet/view/DWRJjhmFhIZSJddgkRDgbEi6gnMMnBFDjxpUPIiOA6Q/embed/) (**please note, that the budget is only a rough estimate and is subject to be updated**).

**Sponsorship Target**
| Sponsor type | Quantity | Price |
|---|---|---|
| Supporter (no table, logo only) | 5 | 1,500€ |
| Contributor | 7 | 4,500€ |
| Cypherpunk Hero | 3 | 9,000€ |

Total: 15

Sponsor benefits are TBD, but generally, may include company logo placement on MoneroKon’s website and printed banners, free tickets, and a table at the event for Contributor and Cypherpunk Hero levels.

#### Tickets

The ticket types and supply are as follows:

##### Prague 2023
| Ticket type | Quantity | Price |
|---|---|---|
| GA | 315 | 120€ |
| VIP | 60 | 240€ |
| SP | 25 | 60€ |

The benefits for the VIP tickets are TBD, but will include a free merch pack.

For comparison, the past ticket sales and CCS funding were as follows:

##### Lisbon 2022
**Ticket Sales**
| Ticket type | Quantity | Price |
|---|---|---|
| GA | 133 | 50€ |
| VIP | 24 | 150€ |
| SP | 3 | 30€ |

**CCS**
| Amount Raised | PR Merged | Fully Funded |
|---|---|---|
| 55,650€ | 7 December 2021 | 15 February 2022 (70 days) |

For 2022, the [total cost was 72,915.56€ and had a surplus of 1,864.44€](https://docs.google.com/spreadsheets/d/1Ls-U_F6DPjm0kpXwzz-noLLKR5Ti42gffj31LcoINc8/edit?usp=sharing).

##### Denver 2019
**Ticket Sales**
| Ticket type | Quantity | Price |
|---|---|---|
| GA | 60 | $128 |
| VIP | 9 | $287 |
| SP | 4 | $54 |

**CCS**
| Amount Raised | PR Merged | Fully Funded |
|---|---|---|
| $60,100 | 10 October 2018 | 30 January 2019 (112 days) |

For 2019, the total cost was [$100,210.22 and had a deficit of $-32,815.31](https://github.com/b-g-goodell/mrl-skunkworks-mirror/blob/master/Konferenco/2019/postmorto.md#1-budget-actuals)

Any surplus income or over-funding from this CCS will be rolled over for MoneroKon 2024's budget. However, if there is a deficit, we would need to propose a second CCS to cover the difference.

## Bursary

All speakers and organizers as well as volunteers who have logged at least 15 volunteer hours may request a bursary up to a maximum of 2,000€ to help cover international/local travel, taxies, carshare, accommodation, meals, and any other incidental travel expenses. Expenses must be ordinary, necessary, and reasonable.

The applicant would need to submit a single PDF with scanned copies of ticket stubs and/or receipts (with any personal information redacted) and an invoice with the total amount requested to the Monero Community ("Community") for approval according to the [Invoice Payment Protocol](https://github.com/MoneroKon/meta/blob/main/monerokon2023-plan-a.md#invoice-payment-protocol). Under extenuating circumstances, the Community may vote to cover expenses above the bursary maximum.

To help simplify the process for speakers, the Personal Assistant of DR may batch multiple bursary requests into one invoice and directly seek approval from the Community on their behalf.

The deadline to submit bursary requests is August 1st, 2023.

Payments will be made via Single Euro Payments Area (SEPA) bank transfer or in XMR @ [EMA10 Euro weekly rate](https://www.investing.com/crypto/monero/xmr-eur-technical) from the date the invoice is approved.

The budget for both Prague and Neuchâtel assumes 15 bursary recipients (30,000€). If there is more demand for bursaries, we would need to seek additional funding in CCS-2.

## Amount:

383.31 XMR (Neuchâtel) or  553.67 XMR (Prague)

## CCS Disbursement

**Milestone 1**
- When at least 383.31 XMR has been met, 68 XMR should be set aside as a reserve for bursary payment requests in XMR and the remaining balance will be transferred to DR.
- DR will immediately convert the XMR to Euro @ spot market rate in order to minimize currency volatility. 

**Milestone 2**
- When 553.67 XMR funding goal is reached, the remaining XMR (minus the bursary reserve) should be transferred to DR
- DR will immediately convert the XMR to Euro @ spot market rate

If milestones 1 or 2 is not met within 90 days after this CCS is merged, all funds are rolled over to the CCS for MoneroKon 2024.

## CCS-2 Contingency Funding

It is hard to predict the number of sponsors and tickets that will be sold, and total bursary needed to cover speaker, organizer, and volunteer expenses, especially in these turbulent times. If we are unable to garner enough sponsors or there is more demand for bursaries than expected, a second CCS may be required to pay for any funding shortfall. We should have a better idea if a CCS-2 proposal is needed in early May 2023.

## CCS Donor Benefits

As a sign of appreciation for your kind support, backers of this CCS will be able to claim rewards based on the level of contribution.

| 0.85 XMR | 4.26 XMR | 8.52 XMR |
|---|---|---|
| <ul><li>Name/nick in end-credits of uploaded videos</li><li>Free MoneroKon T-shirt promo code</li></ul> | <ul><li>Name/nick in end-credits of uploaded videos</li><li>Free MoneroKon T-shirt promo code</li><li>IVPN $100 credit promo code*</li><li>Early access 4k video uploads</li></ul> | <ul><li>Name/nick in end-credits of uploaded videos</li><li>Free MoneroKon T-shirt promo code</li><li>IVPN $200 credit promo code*</li><li>Early access 4k video uploads</li><li>**Exclusive invite to Speaker’s dinner**</li></ul> |

After donating, send an email to `ajs@monerokon.com` [key ID: [0xA21EDAB6](https://openpgpkey.monerokon.com/ajs.asc)] with your [proof of payment](https://www.getmonero.org/resources/user-guides/prove-payment.html) (for unofficial wallets, consult the developer's documentation) and the name/nick you would like to appear in the end credits. You could also contact me directly at:
- Libera.Chat IRC: `#monero-events` / `ajs_` / OTR: `2CBD2781 14ADCC59 80216845 7F3405F7 8AE807FA`
- Element/Matrix: `#monero-events` / `@ajs_:matrix.org`
- XMPP: `ajs@xmpp.is` / OMEMO: `2939fc3c 7c8374c1 b31fc816 d4a13ff0 522ec7c3 c2887dd1 f73187b4 95a0492b`/ OTR: `37B44AC3 0F41798E B7CA5F18 D8D2B37B BF469E22` / `monerokon@muc.xmpp.is`
- Threema ID: `AUTS66FZ`
- Mastodon: `@xmrradio@mas.to`

You'll receive promo codes, which can be used on [shop.monerokon.com](https://shop.monerokon.com) when it goes live sometime in March 2023. If CCS is not fully funded for 2023, the discount codes would be valid for 2024.

Pick up your order at MoneroKon's merch table. Be sure to bring a copy of your receipt.

*Can be used on one, or multiple accounts.

## Exchange Rate

65,000€ / 140.877 XMR ([EMA50 Euro monthly rate](https://www.investing.com/crypto/monero/xmr-eur-technical)) + 20% volatility buffer = 553.67 XMR

45,000€ / 140.877 XMR ([EMA50 Euro monthly rate](https://www.investing.com/crypto/monero/xmr-eur-technical)) + 20% volatility buffer = 383.31 XMR
