---
layout: cp
title: The official Qt GUI Project
author: othe
amount: 14,000
date: February 2, 2016
---

First of all, this idea is posted on behalf of the developer.

### What will be done?

Initially, the hours that are funded will be used to complete the official GUI, of which the sneak peaks have been around for a while now -> https://imgur.com/a/ERheR. In addition, one of the goals is to make the architecture such that it will be fairly easy allow plugins. For example, this architecture will allow xmr.to to be plugged into the GUI such that you can pay every Bitcoin address from your Monero (GUI) wallet. Another goal is to make the GUI portable to smartphones. The hours that remain after having completed the GUI will be used to work on other features. There should be a better estimate of hours needed to complete the GUI once the work really has started.

This is going to be a lot of work as we want to have a really flexible UI with a great plugin architecture and useability that is lacking all current cryptocurrency GUIs.

### Who will work on this task?

mbg033 (Ilya Kitaev) will work on this. Ilya is a cross-platform C/C++/Qt software developer 7+ years of experience in software development for Linux and Windows platforms. Furthermore, he is familiar with the following additional skills/technologies: CEF (Chromium Embedded Framework), Python, Lua, Ruby, Objective-C, PHP, Java, Javascript, SQL, WinAPI, posix API, EPICS, Modbus, OPC, networking, multi-threading, make, cmake, automake, autoconf.

### Why?

The CLI has long been seen as a hurdle to adoption. The new Hydrogen Helix release (mainly the database) and the 0MQ work allows for a GUI implementation to be completed. In other words, the codebase is stable enough for a GUI release. With this official GUI, Monero will be better usable and accessible for the average Joe. Also, it will make promoting Monero more easy and will allow us to expand the user base.

### The Proposal and Milestones

The proposal is to raise 14,000 XMR for 280 hours of work, which is approximately 25.00$ per hour. Ilya will work 10 hours per week at the beginning, expanding into more hours per week later when some other project is finished. We will will make a bi-weekly summary of what he has done. Optionally, an extension can be discussed / proposed once his contract ends.

** His work and the activity can be followed on: **

[https://github.com/mbg033?tab=activity](https://github.com/mbg033?tab=activity)

[https://github.com/mbg033/monero-core](https://github.com/mbg033/monero-core)

[https://github.com/monero-project/monero-core](https://github.com/monero-project/monero-core)

Fluffypony and me will help him and work together on the implementation and will oversee everything - as always unpaid :P.

So far we already did some stuff like completing the language selection in the wizard: ![GUI Screenshot](https://www.evernote.com/shard/s528/sh/f968dcd6-8cc0-423f-bad3-c6f26261083c/dde89987e5befbd9/res/0bfa3d4e-882f-4f52-b756-62125895c1d5/skitch.png?resizeSmall&width=832)

### Some more screenshots:

https://www.evernote.com/l/AhBiaAEvDzhHd5p2l4Vg90Ff3PmnxzUCzPA

https://www.evernote.com/l/AhAvGRmGZzZC7I5-VBmaMMr9LazAAsP6VPE

https://www.evernote.com/l/AhDu23hm5y1B652JSUuWd5iip96kRHPJrGE

https://www.evernote.com/l/AhAFgFgjW0tJUpiTaJjw1-DvdSgkQ0n2w1o

https://www.evernote.com/l/AhCZGE9r-3hERpy1pvYVgMEj_yZ4pxQyE4I

https://www.evernote.com/l/AhD0SgwPv5ZN64VbkL3RNvq2b-Ikt4xtzfY

https://www.evernote.com/l/AhBrep2IOE1Fl6q0x0HD5DUsvQlRcQ9mKRk

https://www.evernote.com/l/AhBCfYAqKaBEHrzbK_owLA-CFvJA5wNgreE

https://www.evernote.com/l/AhB8sCz8qJpPWIq2_Wayss2fCy9Iq5SOLhA

https://www.evernote.com/l/AhCrtvSWmvdLQpSLkZb34pD3a1zEDSsMQAc

https://www.evernote.com/l/AhApVs-0GQZIzYcWA_Lb0Gfjzu8G1I7-kUU
