---
layout: cp
title: "Surae: research funding for Nov 2019 - Jan 2020"
author: Surae Noether
date: November 15, 2019
amount: 499 XMR
milestones:
  - name: Funding is released
    funds: 100% (499 XMR)
    done: 31 January 2020
    status: finished
payouts:
  - date: 4 January 2020
    amount: 499
---

*WHO* My name is Brandon Goodell. I am Monero Research Lab’s first postdoctoral researcher into cryptocurrency. I have a Ph.D. in Mathematical Sciences from Clemson University, a M.Sc. in Mathematics from North Dakota State University, and a B.S. in Mathematics from Colorado State University. I taught as a graduate student for 9 years at the university level, and I have participated in the Monero community under the pseudonym Surae Noether on-and-off 2014-2016, and I have worked at MRL full-time since June 2017.

*WHAT* I am requesting a continuation of funding for November and December 2019, and January 2020. In the past quarter (or so) MRL has proven CLSAG and DLSAG signatures secure (allowing for a more efficient blockchain and allowing for claim-or-refund approaches in multiparty computation) and submitted these papers for peer review through the Financial Cryptography 2020 conference, started preparation on submitting the thring signature paper for peer review, and developed a quantifiable approach to assessing privacy-based ledgers (the so-called Matching simulations). Sarang has also been all over analysis of four major possible replacements for ring signatures that are sublinearly sized, and I've begun assisting with some security proofs on one of these novel approaches called Triptych, first invented/proposed by randomrun [here](https://github.com/monero-project/research-lab/issues/56) and fleshed out by Sarang; this proposal is rather tailor-fit for applications in Monero. The quarter before that, MRL hosted the first Monero Konferenco, which was a smashing success in terms of content.

*WHY* Monero Research Lab has communicated with researchers all over the cryptocurrency industry, cryptographers, computer scientists, and computer engineers. In the past year, we have traveled internationally to conferences to learn and participate in the dissemination of results, contributed to several published technical notes/white papers on the technology underlying Monero, helped read and review papers for other researchers, participated in the cryptocurrency community more broadly, even hosted the first annual Monero Konferenco. Our measurable results include concrete suggestions for mitigating side channel de-anonymization vulnerabilities with subaddresses (see e.g. [here](https://web.getmonero.org/2019/10/18/subaddress-janus.html)) and significant reductions to blockchain sizes when CLSAG 

*RATES AND AMOUNTS* My rate is based on the 14-day moving average exponential on Kraken from 1 November 2019, which is approximately 62.50 USD per XMR, and my monthly rate of 10,400 USD per month.

*PAYOUTS AND MILESTONES* Research funding over many months suffers from price volatility. Neither donors nor researchers at MRL know the value of donations when they are eventually paid out. To mitigate this and provide the most stability, this request will be paid out in full when it is funded; MRL has a track record of continuously performing in exchange for our funding, and we feel this funding approach makes sense for sustained research.

*EXPIRATION* If, for some reason, this proposal is not funded, I'd like to specify that any funding is set aside for funding future MRL proposals, whether by Sarang, myself, or any other contributors.

Thank you, Monero Community! We at MRL strongly value community input into the funding process, and welcome discussions regarding my funding proposal. Thank you again to the entire community, whether you've donated to me or not… you guys are absolutely running the show, and you all kick some major butt. I hope by making Monero better, we're all a little better off.
