---
layout: wip
title: Monero Outreach Round 3
author: xmrhaelan
date: 22 May 2019
amount: 110
milestones:
  - name: Milestone 1
    funds: 36.66
    done: 4 May 2020
    status: finished
  - name: Milestone 2
    funds: 36.67
    done: 1 November 2020
    status: finished
  - name: Milestone 3
    funds: 36.67
    done:
    status: unfinished
payouts:
  - date: 4 May 2020
    amount: 36.66
  - date: 23 November 2020
    amount: 36.67
  - date: TBD
    amount: 36.67
---

A big thanks again to everyone who supported Round 2 of funding for Monero Outreach! Final report can be found [here](https://www.reddit.com/r/Monero/comments/bonpt3/monero_outreach_round_2_ccs_final_report_see_what/). 
We have made significant progress in our ability to support and enhance the outreach efforts of the Monero Community, and are beginning to receive requests for support from various areas of the Monero ecosystem. We are honored to be able to support Monero in this way, and we look forward even more to what is ahead!

Below is a breakdown of what we intend to work on for Round 3. Please note the Ongoing Project Tasks that we are working on now, during, and in between our CCS proposals. We have continued to volunteer on this important endeavor in between proposals.

# WHO:

#### Monero Outreach 

We are a workgroup of creators, writers, technicians, translators, and visionaries. This is our Mandate:
- Drive greater Monero adoption and awareness through a variety of outreach-related activities; particularly public relations, education, and marketing.
- Respect the work done by the Core Developers and community workgroups, the founding principles of Monero, and the Monero ethos at all turns in the road so we do not jeopardize the integrity of what makes Monero great.
- Make the world a better place through Monero. We are motivated by the question: "How can we expect to prepare our children to live in this world, if we haven't prepared the world for our children”?
Learn more about us on our website: [https://www.monerooutreach.org/about.php]

# WHAT:

We will work toward the following milestones:

### Milestone group 1:
- Develop a quicksheet for core developers and community leadership with suggestions for communicating with the press.
- Create support materials for merchants.
- Ongoing project tasks.*

### Milestone group 2
- Develop a public calendar of events to showcase all Monero related events throughout the year.
- Develop communications with journalists from non-english speaking countries and influence Monero publications.
- Enhance and strengthen Press Kit section of getmonero.org.
- Ongoing project tasks.*

### Milestone group 3
- Strengthen SEO for projects within the Monero ecosystem.
- Produce a report on the economic modeling we’ve used for localization translators, highlighting the strengths, weaknesses, and lessons learned.
- Create a database/directory of all Monero accepting businesses.
- Improve Monero’s page on Wikipedia.
- Ongoing project tasks.*
    
### Ongoing Project Tasks:
- Connect journalists interested in writing about Monero to the relevant core developers and community contributors.
- Seek and publish professional opinions on Monero in regard to legal and financial advisement and recommendations.
- Connect relevant Monero contributors to conference representation requests.
- Support the Monero ecosystem with coordinated press releases.
- Maintain an annual Monero events calendar (to be built).
- Maintain a directory of Monero accepting businesses (to be built).
- Write original Monero articles and share widely via social media and journalist/publication email list (Goal of 1-2 new high quality stories per month).
- Translate all new content (minimum Spanish, French, and Portuguese).
- Merge content w/ getmonero.org and improve Press Kit section of website.
- Continuously update toolkits and Quick Facts sheet.
- Post Monero updates on Twitter, Reddit, Blockfolio Signals, CoinGecko Beam, etc.
- Attempt to secure new revenue streams so we are not continually relying on CCS (Designs for Monero branded clothing, partnerships with mining pools or businesses, etc.).
- Seek and organize experts for developing the Monero Transmissions Lab, which exists to solve problems related to transmitting Monero transactions through decentralized, open source infrastructure.
- Seek and organize experts for discussing how to actively bring Monero adoption to countries like Venezuela and other economically challenged regions of South America and Africa (communication channels established and individuals recruited).
- Continue seeking methods to innovate and move forward on our [Roadmap](https://www.monerooutreach.org/about.php).

# HOW MUCH:
### Totals:
Thunderosa (Design Lead): 30 XMR
Lh1008 (Coordinator): 20 XMR
Almutasim (Editor): 20 XMR
Xmrhaelan (Organizer): 15 XMR
High Quality Writers: 11 XMR (1 XMR at current prices for each piece written)
Translators: 14 XMR (0.1 XMR at current prices per 1,000 words translated)

### Grand Total: 110 XMR


## Breakdown by Milestones:

### Milestone Group 1:
Thunderosa: 10 XMR
Lh1008: 6.67 XMR
Almutasim: 6.67 XMR
Xmrhaelan: 5 XMR
Writers: 3.67 XMR
Translators: 4.67 XMR

#### Milestone total: 36.68 XMR

### Milestone Group 2:
Thunderosa: 10 XMR
Lh1008: 6.67 XMR
Almutasim: 6.67 XMR
Xmrhaelan: 5 XMR
Writers: 3.67 XMR
Translators: 4.67 XMR

#### Milestone total: 36.68 XMR

### Milestone Group 3:
Thunderosa: 10 XMR
Lh1008: 6.67 XMR
Almutasim: 6.67 XMR
Xmrhaelan: 5 XMR
Writers: 3.67 XMR
Translators: 4.67 XMR

#### Milestone total: 36.68 XMR
